/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.runtime.standalone.host.implementation.launched;

import java.net.URI;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

import org.fabric3.spi.command.Command;

/**
 * Runs <code>implementation.launched</code> components on a service node
 *
 * @version $Rev: 121 $ $Date: 2007-05-29 01:02:50 +0100 (Tue, 29 May 2007) $
 */
public class RunCommand implements Command {
    private List<URI> components = new ArrayList<URI>();

    public RunCommand() {
    }

    public void addComponentUri(URI uri) {
        components.add(uri);
    }

    public List<URI> getComponentUris() {
        return Collections.unmodifiableList(components);
    }
}
